Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84664 - gnome-volume-control compiled with wrong sound drivers?
Summary: gnome-volume-control compiled with wrong sound drivers?
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-media
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks: CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-02-20 04:40 UTC by Chris Ricker
Modified: 2015-01-08 00:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-07-26 17:23:45 UTC


Attachments (Terms of Use)

Description Chris Ricker 2003-02-20 04:40:41 UTC
With beta5, I get:

Warning: this version of the Gnome Volume Control was compiled with OSS version
3.8.2, and your system is running version 16502.188.158.

when running gnome-volume-control

I don't recall seeing this in beta4 or previous....

Comment 1 Havoc Pennington 2003-08-06 21:08:45 UTC
Still there?

Looks like some kind of silly number-parsing bug or something.

Comment 2 Chris Ricker 2003-08-06 21:12:34 UTC
I don't have a severn box handy, but on a fully up2date RHL 9 I get:

[cricker@yoshimi mp3s]$ gnome-volume-control 
Warning: This version of the Gnome Volume Control was compiled with
OSS version 3.8.2, and your system is running
version 19896.236.158.


Comment 3 Chris Ricker 2003-08-06 21:18:32 UTC
From the strace, it looks like it's trying to grovel /dev/{,sound/}mixer1, which
doesn't exist. First it pokes /dev/mixer for some info:

13281 open("/dev/mixer", O_RDWR)        = 16
13281 ioctl(16, OSS_GETVERSION, 0xbfffe0bc) = 0
13281 ioctl(16, SOUND_OLD_MIXER_INFO, 0x805a1bc) = 0

then it pokes mixer1, fails, and warns

13281 open("/dev/mixer1", O_RDWR)       = -1 ENODEV (No such device)
13281 open("/dev/mixer1", O_RDWR)       = -1 ENODEV (No such device)
13281 open("/dev/sound/mixer1", O_RDWR) = -1 ENOENT (No such file or directory)
13281 ioctl(-1, OSS_GETVERSION, 0xbfffe0bc) = -1 EBADF (Bad file descriptor)
13281 write(2, "Warning: This version of the Gno"..., 137) = 137
13281 ioctl(-1, SOUND_OLD_MIXER_INFO, 0x8086f54) = -1 EBADF (Bad file descriptor)


That's with gnome-media-2.2.1.1-4



Comment 4 Havoc Pennington 2003-08-06 21:20:39 UTC
Ugh, looks like pretty dorky code.

Should be easy to fix though, just handle that error properly.

Comment 5 Colin Walters 2004-07-26 17:23:45 UTC
Looks fine to me now, closing.


Note You need to log in before you can comment on or make changes to this bug.